<script setup lang="ts"></script>

<template>
  <div>
    <button class="text-sdg-blue fadea">Loading</button>
  </div>
</template>

<style scoped>
button + button {
  margin-left: 20px;
}

@keyframes fadea {
  0%,
  100% {
    opacity: 0.1;
  }
  50% {
    opacity: 1;
  }
}

.fadea {
  opacity: 0.1;
  animation: fadea 0.5s linear infinite;
  animation-delay: 0s;
}

.fadeb {
  opacity: 0.1;
  animation: fadea 4s linear infinite;
  animation-delay: 2s;
}

.fadec {
  opacity: 0.1;
  animation: fadea 4s linear infinite;
  animation-delay: 4s;
}

.spinner {
  flex-grow: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-bottom: 15px;
}
</style>
